3
0
forked from pool/coreutils
coreutils/coreutils-test_without_valgrind.patch
Bernhard Voelker 29e6b9981e * sort-keycompare-mb.patch: Add information about the origin of the
patch (in sort.c and the test).  Add a comment why to skip the
11a and 11b tests. Refresh with -p0.
* coreutils-fix_false_du_failure_on_newer_xfs.patch: Refresh with -p0.
* coreutils.spec: Remove -p1 patch option for the above 2 patches.
* coreutils-testsuite.spec: Likewise.
* coreutils-disable_tests.patch: Refresh to avoid fuzz.
* coreutils-test_without_valgrind.patch: Refresh.

OBS-URL: https://build.opensuse.org/package/show/Base:System/coreutils?expand=0&rev=242
2014-09-30 00:08:21 +00:00

19 lines
782 B
Diff

---
tests/misc/shuf-reservoir.sh | 3 +--
1 file changed, 1 insertion(+), 2 deletions(-)
Index: tests/misc/shuf-reservoir.sh
===================================================================
--- tests/misc/shuf-reservoir.sh.orig
+++ tests/misc/shuf-reservoir.sh
@@ -37,8 +37,7 @@ run_shuf_n()
# Critical memory-related bugs will cause a segfault here
# (with varying numbers of input/output lines)
- seq "$INPUT_LINES" | valgrind --leak-check=$leaklevel --error-exitcode=1 \
- shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
+ seq "$INPUT_LINES" | shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
EXPECTED_LINES="$OUTPUT_LINES"
test "$INPUT_LINES" -lt "$OUTPUT_LINES" && EXPECTED_LINES="$INPUT_LINES"